﻿/* --------------- */
/* GLOBAL DEFAULTS */
/* --------------- */

body   
{
    background: #b6b7bc;
    font-size: .80em;
    font-family: "Helvetica Neue", "Lucida Grande", "Segoe UI", Arial, Helvetica, Verdana, sans-serif;
    margin: 0px;
    padding: 0px;
    color: #696969;
}

a:link, a:visited
{
    color: #034af3;
    text-decoration: none;
}

a:hover
{
    color: #1d60ff;
    text-decoration: underline;
}

a:active
{
    color: #034af3;
    text-decoration: none;
}

p
{
    margin-bottom: 10px;
    line-height: 1.6em;
}

/* ----------------- */
/* Footer Hyperlinks */
/* ----------------- */
.MasterFooterHyperlink
{
    background-repeat: repeat-x;
    text-decoration: none;
}

.MasterFooterHyperlink:link
{
    text-decoration: none;
}

.MasterFooterHyperlink:visited
{
    text-decoration: none;
}

.MasterFooterHyperlink:hover
{
    font-weight: bold;
    text-decoration: underline;
}

.MasterFooterPageID 
{
    display:block;
    text-align: left;
}

.centered, .centred 
{
    margin-left: auto;
    margin-right: auto;
}
/* ------------- */
/* Message Panel */
/* ------------- */
.hidePanel {
    display:none;
    overflow:hidden;
}

.showPanel {
    display: block;
    overflow: auto;
}

/* Status Box Styles */
.StatusBoxButtonClose {
    font-family: "Helvetica Neue", "Lucida Grande", "Segoe UI", Arial, Helvetica, Verdana, sans-serif;
    font-size: 0.9em;
    font-style: normal;
    font-weight: bold;
    color: Black;
    background-color: ButtonFace;
    width: 20px;
    height: 20px;
    text-align: left;
}

.StatusBoxMessageText 
{
    margin-left: 0.5em;
    font-weight: normal;
    
    color: #333;
    background-color: #fbfccd;
    
    font-size: 1.1em;
    font-family: "Helvetica Neue", "Lucida Grande", "Segoe UI", Arial, Helvetica, Verdana, sans-serif;
    vertical-align: top;
}

.StatusBoxTitleBar {
    font-family: "Helvetica Neue", "Lucida Grande", "Segoe UI", Arial, Helvetica, Verdana, sans-serif;
    font-size: 0.9em;
    font-weight: normal;
    color: white;
    background-color: #465c71;
    text-decoration: none;
}

.StatusBoxTitleBarButton {
    font-family: Verdana, Arial, Helvetica, sans-serif;
    font-size: 12px;
    font-weight: bold;
    color: white;
    background-color: #465c71;
    text-decoration: none;
    height: 17px; 
    width: 10px; 
    text-align:right;
}


    .systemInfo 
    {
        text-align: left;
        position: relative;

        border: 1px solid #999;
        background-color: #fbfccd;
        
        margin: 0 0 0 0;
        
        overflow: hidden;
        
        -webkit-border-radius: 5px;
        -moz-border-radius: 5px;
        border-radius: 5px;
        display: none;
    }
    
    .systemInfo.show
    {
        display: inline-block;
    }
    
    .systemInfo.noHeader #infoHeader
    {
        display: none;
    }
    
    .systemInfo.noHeader #infoText .infoClose
    {
        display: inline-block;
        line-height: 0;
        margin-left: 0;
        color: #aaa;
    }
    
    .systemInfo.noHeader #SystemInfo_TextContent
    {
        margin: 0 1em 0 1em;
    }
    
    .systemInfo #infoText
    {
        padding: 0.5em 1em 1em 1em;
    }
    
    .systemInfo.noHeader #infoText
    {
        padding: 0.5em 0 0.5em 0;
    }
    
    #infoHeader, #infoText
    {
        display: inline-block;
        position: relative;
    }
    
    #infoHeader
    {
        display: block;
        z-index: 5;
        margin: 3px;
        padding: 0.3em 0.3em 0.3em 0.7em ;

        -webkit-border-radius: 5px;
        -moz-border-radius: 5px;
        border-radius: 5px;
        font-weight: bold;
        line-height: 1.4em;
        height: 1.5em;
    }
    
    #headerText 
    {
        vertical-align: middle;
    }
    
    #infoText 
    {
        z-index: 4;
        padding: 0.0em 0.5em 0.2em 0.5em ;
    }
    
   
    .infoClose 
    {
        position: relative;
        float: right;
        margin: 0 0 0 1em;
        font-size: 1.5em;
        font-weight: bold;
    }
    
    #infoHeader .infoClose
    {
        color: inherit;
    }
    
    .infoClose:hover 
    {
        text-decoration: none;
        color: #fff !important;
    }

    .noHeader .infoClose:hover 
    {
        text-decoration: none;
        color: #000 !important;
    }
    
    
    #textClose 
    {
        display: none;
        line-height: 10px;
    }
    
    .infoClose 
    {
    }
    

/* Bread-crumb trail */
.Breadcrumb a
{
    font-size: 1.5em;
}
.Breadcrumb a.current
{
    color: inherit;
    font-weight: bold;
}
.Breadcrumb
{
    padding-top: 10px;
}

/* disabled navigation (used by enforced password change) */
.disable_navigation .SubNavigation, .disable_navigation .menu 
{
    opacity: 0.5;
}

.disable_navigation .SubNavigation a, .disable_navigation .menu a
{
    pointer-events: none;
    cursor: default;
}

.SubNavigation 
{
    margin-bottom: 1em;
}



/* ----------- */
/* Form Fields */
/* ----------- */
fieldset
{
    margin: 1em auto 0px auto;
    padding: 1em;
    border: 1px solid #ccc;
}

fieldset pa 
{
    margin: 2px 12px 10px 10px;
}
fieldset legend 
{
    margin-bottom: 1em;
}

.formContainer 
{
    text-align: center;
    margin-top: 0.5em;
}
.formContainer  fieldset
{
    text-align: left;
    display: inline-block;
}



.FormContainer
{
    text-align: center;
    font-family: "Helvetica Neue", "Lucida Grande", "Segoe UI", Arial, Helvetica, Verdana, sans-serif;
}
.FormContainer > fieldset
{
    display: table;
    margin: auto;
    text-align: left;
}

.FormButtonContainer 
{
    text-align: right;
    display: block;
    margin: 0.5em 0 1em 0;
}

.FormLegendText 
{
    font-weight: bold;
    padding: 2px 4px 8px 4px;
}

.FormPageHeadingLabelText   
{
}

/* Quota */
.quota 
{
    float: right;
    margin: 1px 1px 0px 0px;
    padding: 1px;
    border: 1px solid #999;
    background-color: #ffffe1;
}

.IE .quota 
{
    float: none;
    position: absolute;
    right: 0;
}

.quota, .quota *
{
    position: relative;
}
.quota .progress 
{
    height: 10px;
    float: left;
}
.quota .produced
{
    background-color: #acf;
}
.quota .pending
{
    background-color: #ced;
}

.quota .failed
{
    background-color: #fcb;
}




/*
 * Labels and textboxes 
 */

.FormContainer .FormStandardLabelText   
{
    display: block;
    margin-right: 1.5em;
}

.FormContainer .FormStandardTextBox, .FormContainer .FormPasswordTextBox
{
    display: block;
    width: 250px;
}

.FormNumericTextBox {
    -moz-appearance: textfield;
    display: inline-block;
    width: 120px;
}

.FormNumericTextBox::-webkit-inner-spin-button, .FormNumericTextBox::-webkit-outer-spin-button {
    -webkit-appearance: none;
    display: none;
    margin: 0;
}

/*
 * Labels and textboxes inside tables
 */
.FormContainer td .FormStandardTextBox, .FormContainer td .FormPasswordTextBox
{
    display: inline;
}
.FormContainer td .FormStandardLabelText
{
    display: inline;
}


.FormStandardTextBox[readonly]
{
    color: #999;
}
.FormStandardTextBox[MaxLength="10"],
.FormStandardTextBox[MaxLength="15"],
.FormStandardTextBox[MaxLength="20"]
{
    width: 12em;
}

.FormDateTextBox.FormStandardTextBox
{
    width: 8em;
}

fieldset > table 
{
    white-space: nowrap;
}

.FormValidationText
{
    color: red;
    font-size: 0.9em;
    font-weight: normal;
    display: inline; 
}


fieldset table td .FormValidationText
{
    display: block;
    margin: 5px;
}
.FormValidationText:before
{
    padding-left: 0.5em;
}


.FormCheckBox
{
    
}

.FormStandardButton
{
    font-weight: normal;
    color: #4b6c9e;
    font-size: 0.9em;
    text-decoration: none;
}

.UserProfileDetailsTable td 
{
    padding-right: 1em;
    
}

/* certificate request status text */
.status.Failed, .status.Rejected
{
    color: Red;
}
.status.Pending
{
    font-weight: bold;
}
.status.Completed 
{
    color: Green;
}

/* ---------------------------------- */
/* Generic Form Attributes (Fieldset) */
/* ---------------------------------- */

.GenericDisplay
{
    font-size: 1.1em;
    display: block;
    text-align: right;
    padding: 10px;
    color: White;    
}

.GenericDisplay a:link
{
    color: white;
}

.GenericDisplay a:visited
{
    color: white;
}

.GenericDisplay a:hover
{
    color: white;
}


.failureNotification 
{
    color: Red;
}

.successNotification {
    color: limegreen;
}


/*
 * GridView control
 */
 
.GridView
{
    border-color: #4E81BD;
    width: 100%;
}

.GridView .rowA td, .GridView .rowB td
{
    text-align: left;
    border-top: none;
    border-bottom: none;
    padding: 5px;
}

.GridView .gridHead
{
    background-color: #4E81BD;
    border:none;
}
.GridView .gridHead th
{
    position: relative;
    color: White;
    padding: 0.1em 1em 0.1em 1em;
    text-align: center;
}

.GridView .gridHead th, .GridView .gridFilter td
{
    border: none;
    border-left: 1px solid #A0BBDC;
}

.GridView .gridHead a
{
    position: relative;
    color: #dde4ec;
    text-decoration: none;
    display: inline-block;
    color: White;
}
.GridView .gridHead a:hover
{
    text-decoration: underline;
}
.GridView .gridPager td
{
    text-align: left;
    padding: 1px;
}
.GridView .gridPager
{
    background-color: transparent;
    border: 1px solid white;
    border-top-color: #4E81BD;
}
.GridView .gridPager table a
{
    padding: 2px;
}
.GridView .gridPager table {
    float: right;
}

.GridView .rowA, .GridView .rowB
{
}
.GridView .rowA
{
    background-color: #ffffff;
}
.GridView .rowB
{
    background-color: #dbe5f1;
}

/*
 * GridView filters
 */
.GridView .gridFilter
{
    background-color: #4E81BD;
}
.GridView .gridFilter select 
{
    font-size: 0.8em;
    width: 100%;
    background-color: #A0BBDC;
    color: black;
    border: none;
}

tr.gridFooter, .gridFooter td
{
    border: none;
}
tr.gridFooter
{
    border: 1px solid white;
    border-top-color: black;
}

.gridContainer 
{
    text-align: left;
    overflow: auto;
}


/*
 * Tab bar - A MenuBar made to look like tabs
 */
.Breadcrumb 
{
    position:absolute;
}
div.menu.TabBar
{
    
    padding: 4px 0px 0px 8px;
    width: 100%;
    border-bottom: 1px solid black;
    margin-top: 1em;
}
.IE div.menu.TabBar
{
    margin-top: 3em;
}

div.menu.TabBar ul
{
    list-style: none;
    margin: 0px;
    padding: 0px;
}

div.menu.TabBar ul li a, div.TabBar ul li a:visited
{
    background-color: #465c71;
    border: 1px #4e667d solid;
    color: #dde4ec;
    display: block;
    padding: 4px 20px;
    text-decoration: none;
    white-space: nowrap;
    margin: 0px 1px -1px 1px;
    
    -moz-border-top-left-radius: 8px;
    -moz-border-top-right-radius: 8px;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
}

div.menu.TabBar ul li a:hover
{
    background-color: #bfcbd6;
    color: #465c71;
    text-decoration: none;
}

div.menu.TabBar ul li a:active, div.TabBar ul li a.selected
{
    background-color: #465c71;
    color: #cfdbe6;
    text-decoration: none;
}

div.menu.TabBar ul li a.selected 
{
    padding-bottom: 6px;
    margin-top: -2px;
    position: relative;
    background-color: white;
    color: black;
    text-decoration: none;
    border-bottom: 1px solid White;
}


fieldset#Roles ul
{
    list-style-type: none;
    padding: 0;
    margin: 0;
}

fieldset#Roles select
{
    margin-left: 2em;
}

.hide 
{
    display: none;
}


/* Everything below here is added by Visual Studio - need to review and update as applicable.... */

/* HEADINGS   
----------------------------------------------------------*/

h1, h2, h3, h4, h5, h6
{
    font-size: 1.5em;
    color: #666666;
    font-variant: small-caps;
    text-transform: none;
    font-weight: 200;
    margin-bottom: 0px;
}

h1
{
    font-size: 1.6em;
    padding-bottom: 0px;
    margin-bottom: 0px;
}

h2 
{
    margin-top: 0px;
}

h3
{
    font-size: 1.2em;
}

h4
{
    font-size: 1.1em;
}

h5, h6
{
    font-size: 1em;
}

/* this rule styles <h1> and <h2> tags that are the 
first child of the left and right table columns */
.rightColumn > h1, .rightColumn > h2, .leftColumn > h1, .leftColumn > h2
{
    margin-top: 0px;
}


/* PRIMARY LAYOUT ELEMENTS   
----------------------------------------------------------*/

.page
{
    width: 1280px;
    background-color: #fff;
    margin: 20px auto 0px auto;
    border: 1px solid #496077;
}

.header
{
    position: relative;
    margin: 0px;
    padding: 0px;
    background: #4b6c9e;
    width: 100%;
}

.header h1
{
    font-weight: 700;
    margin: 0px;
    padding: 0px 0px 0px 20px;
    color: #f9f9f9;
    border: none;
    line-height: 2em;
    font-size: 2em;
}

.main
{
    padding: 0px 12px;
    margin: 1px 1px 8px 8px;
    min-height: 420px;
}

.IE .main 
{
    position: relative;
}

.leftCol
{
    padding: 6px 0px;
    margin: 12px 8px 8px 8px;
    width: 200px;
    min-height: 200px;
}

.footer
{
    width: 1280px;
    margin: 0px auto 0px auto;
    color: #4e5766;
    padding: 8px 0px 0px 0px;
    text-align: right;
    vertical-align: middle;
    line-height: normal;
}

.footerleft
{
    float:left;
    text-align: left;
}

.footerright
{
    float:right;
}


/* TAB MENU   
----------------------------------------------------------*/

div.hideSkiplink
{
    background-color:#3a4f63;
    width:100%;
}

div.menu
{
    padding: 4px 0px 4px 8px;
}

div.menu ul
{
    list-style: none;
    margin: 0px;
    padding: 0px;
    width: auto;
}

div.menu ul li a, div.menu ul li a:visited
{
    background-color: #465c71;
    border: 1px #4e667d solid;
    color: #dde4ec;
    display: block;
    line-height: 1.35em;
    padding: 4px 20px;
    text-decoration: none;
    white-space: nowrap;
}

div.menu ul li a:hover
{
    background-color: #bfcbd6;
    color: #465c71;
    text-decoration: none;
}

div.menu ul li a:active
{
    background-color: #465c71;
    color: #cfdbe6;
    text-decoration: none;
}

/* FORM ELEMENTS   
----------------------------------------------------------*/
.formContainer 
{
    text-align: center;
}

.formContainer  fieldset
{
    text-align: left;
    display: inline-block;
}

.authenticationCodePanel {
    max-width: 425px;
    text-align: center;
}

.authenticationCodeField {
    padding-top: 5px;
}

.warningMessagePanel {
    text-align: center;
    padding-bottom: 1rem;
}

.warningMessageBox {
    display: inline-block;
    text-align: left;
    max-width: 25em;
    background-color: #ffe;
    border: 1px dotted #ddd;
    padding: 0.5em;
}

.warningMessage {
    background-position: 0px 2px !important;
    padding-left: 20px !important;
}

.formContainer > table {
    text-align: left;
}

.form table {
    border-spacing: 0;
    border-collapse: collapse;
}

.form.linear td
{
    float: left;
    width: 100%;
    xdisplay: block;
}
.form.linear td.fieldLabel 
{
    width: 100%;
    float: left;
    xdisplay: block;
    padding-bottom: 0;
}

table.form td
{
    border: none;
    padding: 0.5em;
    margin: 0;
}
.form table table td { padding: 0px;}

table.form 
{
    min-width: 25em;
    border-collapse: collapse;
}

.field.row0
{
    background-color: inherit;
}

.field.row1
{
    background-color: #fafafa;
}

.field.row0.focused,
.field.row0.focused + .validation
{
    background-color: #fffff0;
}

.field.row1.focused,
.field.row1.focused + .validation
{
    background-color: #fffff0;
}

.field.error, .field.error + .validation { border: 1px solid #fee; border-bottom-color: white; }
.field.error { border-bottom: none; }
.field.error + .validation { border-top: none; }

.field.error + .validation td { padding-bottom: 0.5em; }

.field.error.focused, .field.error.focused + .validation
{
    background-color: #fffafa;
    border-color: #fee;
}

.field.error, .field.error + .validation
{
    background-color: #ffeeee;
}

.field.error td {     padding-bottom: 0;
}

.xxvalidation:hover { background-color: inherit !important;}


.rowFooter td {
    padding-top: 2em;
    text-align: right;    
}

.rowFooter td * 
{
    margin-left: 1em;
}

/* validation */
.FormValidationText
{
    color: red;
    font-size: 0.9em;
    font-weight: normal;
    display: inline; 
}

tr.validation td
{
    padding-top: 0;
    padding-bottom: 0;
}

fieldset table td .FormValidationText
{
}

.FormValidationText:before
{
    padding-left: 0.5em;
}




/* MISC  
----------------------------------------------------------*/

.clear
{
    clear: both;
}

.title
{
    display: block;
    float: left;
    text-align: left;
    width: auto;
}

.loginDisplay
{
    font-size: 1.1em;
    display: block;
    text-align: right;
    padding: 10px;
    color: White;
}

.loginDisplay a:link
{
    color: white;
}

.loginDisplay a:visited
{
    color: white;
}

.loginDisplay a:hover
{
    color: white;
}

.bold
{
    font-weight: bold;
}

.authenticationCodePanel {
    max-width: 425px;
}

.info-icon, .add-icon, .warning-icon, .warning, .table-icon, .loading-icon, .icon, .tick-icon
{
    padding-left: 20px;
    background-repeat: no-repeat;
    background-position: left center;
}

.info-icon { background-image: url(/Images/info.png); }
.add-icon { background-image: url(/Images/add.png); }
.warning-icon, .warning { background-image: url(/Images/warning.png); }
.table-icon { background-image: url(/Images/table.png); }
.tick-icon { background-image: url(/Images/tick.png); }
.loading-icon { background-image: url(/Images/loading.gif); }

.icon-offset
{
    display: block;
    margin-top: 5px;
    padding-left: 25px;
    background-position: left top;
    background-position-y: 5px;
    margin-left: -25px;
}

.icon-right 
{
    background-position: right top;
    padding-left: 0px;
    padding-right: 18px;
}

.warning
{
    display: inline-block;
    color: black;
    margin-left: 10px;
}

.checkIt {
     width: 10%;
     word-break: break-all;
     word-wrap: break-word;
}